org.apache.cassandra.service

## Class FileCacheService.CacheKey

- java.lang.Object
- - org.apache.cassandra.service.FileCacheService.CacheKey

Enclosing class:
  FileCacheService

    public static final class FileCacheService.CacheKey
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CacheKey()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object that)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheKey

    public CacheKey()

### Method Detail

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`